> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get external quote by internal quote id

> Retrieves an external quote representation associated with a Korint internal quote `quoteId`. Returns external identifiers and raw external data if found.



## OpenAPI

````yaml /openapi.json get /quote/external-quote
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /quote/external-quote:
    get:
      tags:
        - quote
      summary: Get external quote by internal quote id
      description: >-
        Retrieves an external quote representation associated with a Korint
        internal quote `quoteId`. Returns external identifiers and raw external
        data if found.
      operationId: QuoteController_getExternalQuote
      parameters:
        - name: quoteId
          required: true
          in: query
          description: Internal Korint quote id
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetExternalQuoteOutput'
        '404':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/ExternalQuoteNotFoundErrorDto'
              examples:
                EXTERNAL_QUOTE_NOT_FOUND:
                  $ref: '#/components/schemas/ExternalQuoteNotFoundErrorDto'
          description: ''
components:
  schemas:
    GetExternalQuoteOutput:
      type: object
      properties:
        externalQuoteId:
          type: object
        data:
          type: object
      required:
        - externalQuoteId
        - data
    ExternalQuoteNotFoundErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - EXTERNAL_QUOTE_NOT_FOUND
        message:
          type: string
          example: External quote not found for quote {id}
        details:
          $ref: '#/components/schemas/ExternalQuoteNotFoundDetailsDto'
      required:
        - code
        - message
        - details
    ExternalQuoteNotFoundDetailsDto:
      type: object
      properties:
        id:
          type: string
      required:
        - id

````